
 ~ GameType-Revolution a fun mod for Quake 4 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   Date:  March, 2006
   Url:   http://gtr.quakedev.com/
   Mail:  TTK-Bandit@my-mail.ch

   Feel free to visit us at #GT-Revolution on QuakeNet and EnterTheGame :)

 ~ Server Commands ReadMe ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   g_altMinRespawnLimit <0|1> - Default: 0
        Toggles the use of alternative minimum spawn times for players.
        0 - Off, Vanilla Quake 4 (3 seconds)
        1 - On, Vanilla Quake 3 (1.7 seconds)

   g_autoConfig <keyword>
        Allows to control the usage of the server configs in GTR.
        This configs cant be changed via callvote command.
        
        keyword must be one of :
        Quake4   - force quake4 default settings ( shortcut q4 )
        GTR      - force GameType Revolution settings
        Q4W      - force Quake4World settings
        QW       - force QuakeWorld settings
        Server   - allows custom server-configs. The config file must be placed
                   in the cfg-custom folder of the server and must have one of
                   the following names :
                   default.cfg - this config will be executed on startup and
                                 after each gametype change.
                   tdm.cfg     - for a team deathmatch config.
                   ctf.cfg     - for a capture the flag config
                   1v1.cfg     - for a duell config
                   trny.cfg    - for a tournament config
                   ca.cfg      - for a clan arena config
        
        The serverinfo indicated the status of this setting in si_config, so
        gamebrowsers can easy search for a server with the needed settings.
        
   g_instantWeaponSwitch <0|1> - Default: 0
   		Toggles instant weaponswitch
        0 - Off, play raise/drop animations
        1 - On, skip raise/drop animations

   g_maxRespawnTime <1-60> - Default: 10
        Timelimit until dead clients are forced to respawn in seconds.
        The min. respawntime will be added to this value.
        See g_altMinRespawnLimit

   g_onlyArmorTD <0|1> - Default: 1
        0 - full teamdamage (health + armor)
	    1 - only armor teamdamage

   g_spawnType <0-3> - Default: 0
        Set different player spawn behavior
        (We suggest using a value of 2 or 3)
        0 - random furthest from dead player ( vanilla Q4, default )
        1 - completly random
        2 - completly random without 3 nearest from killer

   g_teleportStyle <0|1> - Default: 0
        0 - Default Quake4
        1 - Q4W like (keeping speed and angle of the player)

   g_traineeMode <0|1-10> - Default: 0
        Toggle weapon trainee mode
        0 - Disable (normal gameplay)
        1-9 - Enable, weaponspecific training:
              1: Machinegun (unchanged)
              2: Shotgun (unchanged)
              3: Hyperblaster (unchanged)
              4: Grenadelauncher (unchanged)
              5: Nailgun (unchanged)
              6: Rocketlauncher (midair gameplay)
              7: Railgun (instagib gameplay)
              8: Lightninggun (unchanged)
              9: Gauntlet (unchanged)
             10: All Weapons, no damage (freestyle gameplay)

            if you have any idea to make the other weapon modes a little more
            fun, like adding midair gameplay for rockets, please tell me :)

   match_overtime <0|1|2|3> - Default: 1
        Specifies the type of overtime mode to handle in the case of
        a scoring tie in Team DM/CTF:

        0 - No overtime: matches can end in a tie
        1 - Sudden Death: Match continues indefinately, first score
            wins (1v1/CTF default -- quake4 default overtime handling)
        2 - Sudden Death-Timed overtime: If the match is still
            tied after x overtime rounds, the match will move
            to sudden death with first score to win (Team DM
            default -- unlimited 5-minute periods)
        3 - Tie-Timed overtime: If match is still tied after x
            overtime rounds, the match ends in a tie (like hockey).

   match_overtimeCount <n> - Default: 0
        Number of timed overtime rounds to play until either sudden
        death or a tie is issued.  Note, setting this parameter to 0
        will give an indefinate # of overtime periods until a victor
        is determined.

   match_overtimeLength <n> - Default: 5
        Number of minutes for a timed overtime round.
        This value must be >= 1 (forced inside the game).

   match_respawnOnSD <0|1> - Default: 1
        Maprestart while entering sudden death mode?
        0 - Disabled
        1 - Enabled (q4 default)

   match_timeoutCount <n> - Default: 3
       Control the maximum number of timeouts in a game per team. A value
       of 0 will disable timeout functionality.
       
       NOTE: a referee can always pause a game!

   match_timeoutLength <n> - Default: 60
       Controls the maximal length of a timeout in seconds before the game
       goes on.

       NOTE: a referee timeout has no timelimit!

   match_fallingDamage <0|1> - Default: 1
   	   Controls whether falling damage is enabled or not.
   	   0 - Disabled
   	   1 - Enabled (q4 default)
   	   
   match_selfDamage <0|1> - Default: 1
       Controls whether self damage is enabled or not.
       0 - Disabled
       1 - Enabled (q4 default)

   net_serverRefereePassword <string> - Default ""
       Sets the password for in-game "referee" (admin) access.

   si_autoAction <bitmask> - Default: 0
        Forces clients to take demos and screenshots of a match.

        Value:
         1 - Statslog
         2 - Screenshot
         4 - Demorecord
        
         A value of 3 will force demorecording and takes a endlevel-screenshot
         of each client.

         So a value of 7 will record a demo and will do a statsdump + screenshot
         at the end of the match.
   
   si_captureLimit <n> - Default: 5
        Capturelimit for flaggames.
        0 - No Capturelimit
        > 0 - Capturelimit in caps
        
   si_roundLimit <n> - Default: 7
   		Roundlimit for roundgames like ClanArena.
   		0 - No Roundlimit
   		> 0 - Roundlimit in rounds

   si_freeModels <0|1> - Default: 0
        Allows using of all models
        0 - Disabled
        1 - Enabled

   si_teamdamage <0|1> - Default: 0
	    0 - no teamdamage
	    1 - enable team damage (see g_onlyArmorTD for different options)

   si_scoreBotSupport <0|1> - Default: 1
        Server queries returns player scores, team scores and timeleft.
        0 - Disabled
        1 - Enabled

   si_scoreBotRefreshRate <1-60> - Default: 10
        Scorebot-info refresh interval in seconds.
        Sets the interval in seconds that the server will refresh game
        information used for scorebots.

        
   